// source: byhiras/identity/identity.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {missingRequire} reports error on implicit type usages.
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!
/* eslint-disable */
// @ts-nocheck

var jspb = require('google-protobuf');
var goog = jspb;
var global = (function() {
  if (this) { return this; }
  if (typeof window !== 'undefined') { return window; }
  if (typeof global !== 'undefined') { return global; }
  if (typeof self !== 'undefined') { return self; }
  return Function('return this')();
}.call(null));

goog.exportSymbol('proto.byhiras.identity.EntityType', null, global);
goog.exportSymbol('proto.byhiras.identity.Identity', null, global);
goog.exportSymbol('proto.byhiras.identity.ListIdentity', null, global);
goog.exportSymbol('proto.byhiras.identity.OptionalIdentity', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.byhiras.identity.Identity = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.byhiras.identity.Identity, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.byhiras.identity.Identity.displayName = 'proto.byhiras.identity.Identity';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.byhiras.identity.OptionalIdentity = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.byhiras.identity.OptionalIdentity, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.byhiras.identity.OptionalIdentity.displayName = 'proto.byhiras.identity.OptionalIdentity';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.byhiras.identity.ListIdentity = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.byhiras.identity.ListIdentity.repeatedFields_, null);
};
goog.inherits(proto.byhiras.identity.ListIdentity, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.byhiras.identity.ListIdentity.displayName = 'proto.byhiras.identity.ListIdentity';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.byhiras.identity.Identity.prototype.toObject = function(opt_includeInstance) {
  return proto.byhiras.identity.Identity.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.byhiras.identity.Identity} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.byhiras.identity.Identity.toObject = function(includeInstance, msg) {
  var f, obj = {
    entityType: jspb.Message.getFieldWithDefault(msg, 1, 0),
    id: jspb.Message.getFieldWithDefault(msg, 2, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.byhiras.identity.Identity}
 */
proto.byhiras.identity.Identity.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.byhiras.identity.Identity;
  return proto.byhiras.identity.Identity.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.byhiras.identity.Identity} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.byhiras.identity.Identity}
 */
proto.byhiras.identity.Identity.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!proto.byhiras.identity.EntityType} */ (reader.readEnum());
      msg.setEntityType(value);
      break;
    case 2:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.byhiras.identity.Identity.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.byhiras.identity.Identity.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.byhiras.identity.Identity} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.byhiras.identity.Identity.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getEntityType();
  if (f !== 0.0) {
    writer.writeEnum(
      1,
      f
    );
  }
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      2,
      f
    );
  }
};


/**
 * optional EntityType entity_type = 1;
 * @return {!proto.byhiras.identity.EntityType}
 */
proto.byhiras.identity.Identity.prototype.getEntityType = function() {
  return /** @type {!proto.byhiras.identity.EntityType} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {!proto.byhiras.identity.EntityType} value
 * @return {!proto.byhiras.identity.Identity} returns this
 */
proto.byhiras.identity.Identity.prototype.setEntityType = function(value) {
  return jspb.Message.setProto3EnumField(this, 1, value);
};


/**
 * optional int64 id = 2;
 * @return {number}
 */
proto.byhiras.identity.Identity.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 2, 0));
};


/**
 * @param {number} value
 * @return {!proto.byhiras.identity.Identity} returns this
 */
proto.byhiras.identity.Identity.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 2, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.byhiras.identity.OptionalIdentity.prototype.toObject = function(opt_includeInstance) {
  return proto.byhiras.identity.OptionalIdentity.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.byhiras.identity.OptionalIdentity} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.byhiras.identity.OptionalIdentity.toObject = function(includeInstance, msg) {
  var f, obj = {
    optional: (f = msg.getOptional()) && proto.byhiras.identity.Identity.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.byhiras.identity.OptionalIdentity}
 */
proto.byhiras.identity.OptionalIdentity.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.byhiras.identity.OptionalIdentity;
  return proto.byhiras.identity.OptionalIdentity.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.byhiras.identity.OptionalIdentity} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.byhiras.identity.OptionalIdentity}
 */
proto.byhiras.identity.OptionalIdentity.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.byhiras.identity.Identity;
      reader.readMessage(value,proto.byhiras.identity.Identity.deserializeBinaryFromReader);
      msg.setOptional(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.byhiras.identity.OptionalIdentity.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.byhiras.identity.OptionalIdentity.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.byhiras.identity.OptionalIdentity} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.byhiras.identity.OptionalIdentity.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getOptional();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.byhiras.identity.Identity.serializeBinaryToWriter
    );
  }
};


/**
 * optional Identity optional = 1;
 * @return {?proto.byhiras.identity.Identity}
 */
proto.byhiras.identity.OptionalIdentity.prototype.getOptional = function() {
  return /** @type{?proto.byhiras.identity.Identity} */ (
    jspb.Message.getWrapperField(this, proto.byhiras.identity.Identity, 1));
};


/**
 * @param {?proto.byhiras.identity.Identity|undefined} value
 * @return {!proto.byhiras.identity.OptionalIdentity} returns this
*/
proto.byhiras.identity.OptionalIdentity.prototype.setOptional = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.byhiras.identity.OptionalIdentity} returns this
 */
proto.byhiras.identity.OptionalIdentity.prototype.clearOptional = function() {
  return this.setOptional(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.byhiras.identity.OptionalIdentity.prototype.hasOptional = function() {
  return jspb.Message.getField(this, 1) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.byhiras.identity.ListIdentity.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.byhiras.identity.ListIdentity.prototype.toObject = function(opt_includeInstance) {
  return proto.byhiras.identity.ListIdentity.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.byhiras.identity.ListIdentity} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.byhiras.identity.ListIdentity.toObject = function(includeInstance, msg) {
  var f, obj = {
    identitiesList: jspb.Message.toObjectList(msg.getIdentitiesList(),
    proto.byhiras.identity.Identity.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.byhiras.identity.ListIdentity}
 */
proto.byhiras.identity.ListIdentity.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.byhiras.identity.ListIdentity;
  return proto.byhiras.identity.ListIdentity.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.byhiras.identity.ListIdentity} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.byhiras.identity.ListIdentity}
 */
proto.byhiras.identity.ListIdentity.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.byhiras.identity.Identity;
      reader.readMessage(value,proto.byhiras.identity.Identity.deserializeBinaryFromReader);
      msg.addIdentities(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.byhiras.identity.ListIdentity.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.byhiras.identity.ListIdentity.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.byhiras.identity.ListIdentity} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.byhiras.identity.ListIdentity.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIdentitiesList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.byhiras.identity.Identity.serializeBinaryToWriter
    );
  }
};


/**
 * repeated Identity identities = 1;
 * @return {!Array<!proto.byhiras.identity.Identity>}
 */
proto.byhiras.identity.ListIdentity.prototype.getIdentitiesList = function() {
  return /** @type{!Array<!proto.byhiras.identity.Identity>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.byhiras.identity.Identity, 1));
};


/**
 * @param {!Array<!proto.byhiras.identity.Identity>} value
 * @return {!proto.byhiras.identity.ListIdentity} returns this
*/
proto.byhiras.identity.ListIdentity.prototype.setIdentitiesList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.byhiras.identity.Identity=} opt_value
 * @param {number=} opt_index
 * @return {!proto.byhiras.identity.Identity}
 */
proto.byhiras.identity.ListIdentity.prototype.addIdentities = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.byhiras.identity.Identity, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.byhiras.identity.ListIdentity} returns this
 */
proto.byhiras.identity.ListIdentity.prototype.clearIdentitiesList = function() {
  return this.setIdentitiesList([]);
};


/**
 * @enum {number}
 */
proto.byhiras.identity.EntityType = {
  NULL: 0,
  LEGAL_ENTITY: 1,
  LEGAL_ENTITY_RELATIONSHIP: 2,
  FILE_EXPECTATION: 3,
  PERMISSION_ROLE: 4,
  ACCESS_CONTROL_ENTRY: 5,
  CLASSIFICATION: 6,
  CLASSIFICATION_OF_OBJECT: 7,
  INSTRUMENT: 8,
  PATCH_EVENT: 9,
  COST_REPORT: 10,
  PERMISSION_ROLE_ASSIGNMENT: 11,
  APPLICATION: 12,
  FUND_DETAILS: 13,
  RELATIONSHIP: 14,
  IDENTIFICATION_DOMAIN: 15,
  PERSON: 16,
  PARTICIPANT_DATA_CONFIGURATION: 17,
  DATA_SOURCE: 18,
  PARSER: 19,
  RECEIVED_FILE: 20,
  MATCHED_FILE: 21
};

goog.object.extend(exports, proto.byhiras.identity);
